Loading...
Searching...
No Matches
QwtEventPattern::MousePattern Class Reference

A pattern for mouse events. More...

`#include <qwt_event_pattern.h>`

## Public Member Functions

| MousePattern (Qt::MouseButton btn=Qt::NoButton, Qt::KeyboardModifiers modifierCodes=Qt::NoModifier)
| Constructor.

## Public Attributes

Qt::MouseButton | button
| Button.
Qt::KeyboardModifiers | modifiers
| Keyboard modifier.

## Detailed Description

A pattern for mouse events.

Definition at line 149 of file qwt_event_pattern.h.

## Constructor & Destructor Documentation

## MousePattern()

QwtEventPattern::MousePattern::MousePattern | ( | Qt::MouseButton | btn = Qt::NoButton,
|  | Qt::KeyboardModifiers | modifierCodes = Qt::NoModifier )

inline

Constructor.

Definition at line 153 of file qwt_event_pattern.h.

## Member Data Documentation

## button

Qt::MouseButton QwtEventPattern::MousePattern::button

Button.

Definition at line 161 of file qwt_event_pattern.h.

## modifiers

Qt::KeyboardModifiers QwtEventPattern::MousePattern::modifiers

Keyboard modifier.

Definition at line 164 of file qwt_event_pattern.h.